🔗 REST APIMarkets

Gets a specific market by its unique identifier.

GET
/v1/markets/{exchange_id}/{market_id}

Authorization

headerAuthorization<token>

API Key is required to access the endpoints

Path Parameters

exchange_id*string

The unique identifier of the exchange (e.g., POLYMARKET).

market_id*string

The unique identifier of the market including outcome suffix, e.g., WILL-THE-BOSTON-RED-SOX-WIN-THE-2025-WORLD-SERIES_YES.

Response Body

The detailed information for the requested market.

  1. response

Represents a detailed view of a single prediction market.

market_id?|

The unique, human-readable identifier for the market and its outcome (e.g., will-it-rain-tomorrow_yes).

title?|

The title or question of the market.

description?|

A detailed description of the market and its resolution criteria.

outcome_name?|

The name of the specific outcome this market represents (e.g., "Yes", "No").

price?number

The current price of this specific market outcome.

Formatdouble
status?Markets.MarketStatus

The status of a prediction market.

Value in"Open""Closed""Resolved""Suspended"
exchange?

Represents an exchange or platform where prediction markets are traded.

exchange_id?|

The ID of the exchange where this market is traded.

outcome_type?Markets.OutcomeType

The type of outcome a market can have.

Value in"Binary""MultipleChoice""Numeric"
mechanism?|

The trading mechanism used by the market (e.g., CPMM, CLOB).

source_specific_data?|

A flexible dictionary to store any source-specific raw data.

curl -X GET 'https://api.prediction-markets.finfeedapi.com/v1/markets/string/string'
{  "market_id": "WILL-TRUMP-SELL-10K-25K-GOLD-CARDS-IN-2025_YES",  "title": "Will Trump sell 10k-25k Gold Cards in 2025?",  "description": "Resolves based on official reporting by the Trump Administration.",  "outcome_name": "Yes",  "price": 0.1234,  "status": "Open",  "exchange": {    "exchange_id": "POLYMARKET",    "market_name_institution_description": "The world's largest prediction market.",    "website": "https://polymarket.com"  },  "exchange_id": "POLYMARKET",  "outcome_type": "Binary",  "mechanism": "CPMM",  "source_specific_data": {    "market_slug": "will-trump-sell-10k-25k-gold-cards-in-2025"  }}